# $Revision: 1.5 $, $Date: 2002/09/25 02:48:46 $
Summary:	Allows setting system time from across a network
Summary(pl):	Pozwala na synchronizacj czasu systemowego poprzez sie
Name:		netdate
Version:	1.16
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/sunacm/Other/netdate/%{name}-%{version}.tar.gz
Patch0:		%{name}-hurricane.patch
Patch1:		%{name}-nread.patch
Patch2:		%{name}-main-prototype.patch
Patch3:		%{name}-glibc.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows for checking and setting the local system time from across a
network as specified by RFC 868.

%description -l pl
Pozwala na sprawdzenie i synchronizacj czasu lokalnego systemu
poprzez sie zgodnie z RFC 868.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
%{__make} CC="%{__cc} %{rpmldflags} %{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install netdate.8 $RPM_BUILD_ROOT%{_mandir}/man8
install netdate $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netdate.spec,v $
Revision 1.5  2002/09/25 02:48:46  ankry
- added patch3

Revision 1.4  2002/09/24 14:48:32  kloczek
- use new %doc.

Revision 1.3  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/01 01:14:46  kloczek
- fixed Group and adapterize spec file,
- make %%{debug} ready,
- fix %files list,
- added main-prototype patch with fix main() prototype.

Revision 1.1  2002/01/31 22:58:32  djrzulf
djrzulf:
- cosmetics, somebody should adapterize it, my adapter.awk don't work properly,

Baseciq:
- rewritten specfile for PLD,
- merged Slackware patch for missing time.h include,
- added polish descriptions,
